<?php

//******************************* M O D A L *******************************************************
$this->load->view('/partials/_saveSearchModal');
//******************************* M O D A L *******************************************************
?>

<main class="compliance">
    <div>
        <div class="pageTitle">
            <h1>
                <span ng-class="(reportId && can_edit) && 'editable editReportTitle'">{{reportLabel || 'New compliance report'}}
                    <button ng-if="reportId && can_edit" class="btn editReportTitle btn-info" onclick="editReportTitle()">Edit</button>
                </span>
                <button ng-disabled="isEmptyObj(savedConditions) || showRuleEdit" id="save_report" class="btn  pull-right margin-top-small"
                        ng-click="modalWindow.open('saveSearchModal', this)"><i class="icon-cog"></i>
                </button>
                <div  class="reportTitleInput" style="display: none">
                    <input  type="text" ng-model="reportLabel">
                    <button class="btn btn-save-title btn-info" onclick="saveReportTitle()">save</button>
                </div>
            </h1>

        </div>
        <section>
            <div class="muted margin-bottom-large">
                Create a checklist of conditions that must be met to be compliant.
            </div>

            <?= $this->load->view('conditions_list.php') ?>
        </section>
        <div>
            <div class="border-bottom margin-bottom-large" id="alertRule" ng-show="rulesList.length">
                <div class="form-horizontal margin-top">
                    <div class="margin-top">
                        <span add-edit-condition source="instance" dca="DCA" show-add-button="show_add_form" rules-list="rulesList"></span>
                    </div>
                </div>
            </div>
        </div>
        <section>
            <div class="clearfix"></div>
            <div class="pull-right padding-bottom">
                <span class="margin-right green reportSavedText" style="display: none">
                    Report was saved successfully <i class="icon-ok-sign green"></i>
                </span>
                <button
                        ng-disabled="isEmptyObj(savedConditions) || showRuleEdit"
                        class="btn btn-primary"
                        ng-click="runReport()">
                    Done
                </button>
            </div>
        </section>

    </div>
</main>

<script>
    const editReportTitle = () => {
        $('.reportTitleInput').show();
        $('.editReportTitle').hide();
    };

    const saveReportTitle = () => {
        $('.reportTitleInput').hide();
        $('.editReportTitle').show();
        $('body').trigger('LABEL_CHANGED');
    };
</script>
