#!/bin/bash
set -ex

# get build URL by job
PACKAGE_NAME=$(curl -v --silent http://buildcache.cfengine.com/packages/testing-pr/"$JOB"/PACKAGES_HUB_x86_64_linux_redhat_7/ 2>&1 | grep -Po '(?<=href=")[^"]*.rpm')
BUILD_URL="http://buildcache.cfengine.com/packages/testing-pr/$JOB/PACKAGES_HUB_x86_64_linux_redhat_7/$PACKAGE_NAME"
sudo rpm -i "$BUILD_URL"
sudo /var/cfengine/bin/cf-agent -B $(hostname -I | awk ' {print $1}')

sudo setfacl -m u:cfapache:rx /home/jenkins/
sudo setfacl -R -m u:cfapache:rwx -m d:u:cfapache:rwx /home/jenkins/workspace

sudo setfacl -m u:cfpostgres:rx /home/jenkins/
sudo setfacl -R -m u:cfpostgres:rwx -m d:u:cfpostgres:rwx /home/jenkins/workspace

cd mission-portal
sudo -u cfapache /usr/local/bin/composer install
sudo cp -r /var/cfengine/httpd/htdocs/public/tmp ./public
sudo cp -r /var/cfengine/httpd/htdocs/api .
sudo cp -r /var/cfengine/httpd/htdocs/application/config/appsettings.php ./application/config/

sudo systemctl stop cf-execd
sudo systemctl stop cf-hub

cd tests
sudo -u cfapache /usr/local/bin/composer update
sudo chown -R cfapache:jenkins ../../mission-portal
sudo mkdir -p /opt/cfengine/federation/cfapache/
sudo chown -R cfapache:jenkins /opt/cfengine

sudo -u cfapache  ./vendor/phpunit/phpunit/phpunit --coverage-clover=coverage.xml

if [ -v SELENIUM ] && [ "$SELENIUM" -eq 1 ]; then
  wget --quiet http://selenium-release.storage.googleapis.com/3.4/selenium-server-standalone-3.4.0.jar
  export DISPLAY=:1
  sudo java -jar ./selenium-server-standalone-3.4.0.jar > selenium.log 2>&1 &
  # Give Selenium time to start
  sleep 10
  sudo ./vendor/phpunit/phpunit/phpunit --configuration phpunit_selenium.xml
fi
