angular.
        module('inventoryDirectives', []).
        directive('inventoryfilter', ['$q', 'inventoryHelper', 'inventoryDataService', '$location', function($q, inventoryHelper, inventoryDataService, $location) {
        return {
            restrict: 'C',
            link: function($scope, $elm, $attrs) {
                new inventoryFilterDirectiveCtrl($scope, $elm, $attrs, $q, inventoryHelper, inventoryDataService, $location);

            },
            scope: {
                ui : '=',              // UI object
                sql: '=',              // SQL object
                readonly: '=',         // Readonly for alerts ui
                showfilterapplybtn:     '=',
                applicationname:        '=',    // small hack - set application name, and this will change app behaviour, For example for inventory alerts we need different select
                cfemappingaddfields:    '=',
                cfemappingremovefields: '=',
                cfemappingaddtofilters: '='
            },
            templateUrl: MP_SITE_URL + '/directives/partials/directive_inventoryfilter.php'
        };
    }]).filter('setDefaultConditionOption', function() {
    /**
     * Sets default condition option for filter
     *
     * @param {string} input - original value from model
     * @param {string} defaultVal - default value
     * @returns {string}
     */
    return function(input, defaultVal) {
        if (input)
            return input;
        else
        return defaultVal;
    };
}).filter('getLabelByValue', function () {
    return function (input, condition) {
        // return a filter condition from an array given a filter value
        var result = [];
        angular.forEach(input, function (val, key) {
            if (val.value === condition) {
                result.push(val);
                return;
            }
        });
        if (angular.equals([], result)) {
            result.push(input[0]);
        }
        return result;
    };
})
.directive('inventoryFilterValidator', ['inventoryDataService', function (inventoryDataService) {
    return {
        require: 'ngModel',
        scope: {
            'validator': '&',
            'filter': '='
        },
        link: function (scope, elem, attr, ngModel) {
            ngModel.$parsers.unshift(function (value) {
                scope.validator({form: ngModel, filter: scope.filter});
                return value;
            });
        }
    };
}]);
