'use strict';

dashboardApp.directive('changesWidget', ['changesWidgetHelper', '$q', function (changesWidgetHelper) {
    return {
        templateUrl: MP_SITE_URL + '/dashboard/partials/changes_widget',
        restrict: 'A',
        scope: {
            widget: '=',
            currentUser: "=",
            currentDash: "=",
            saveOldName: '&',
            editName: '&',
            deleteWidget: '&',

        },
        link: function (scope, element) {
            scope.$watch(function () {
                    return element.attr('refresh');
                },
                function () {
                    changesWidgetHelper.getChangeStats({"changeDaysNumber": 6}).then(
                        function (result) {
                            changesWidgetHelper.setChartData(result);
                            scope.widget.changeStats = result;
                            scope.chartList = changesWidgetHelper.chartConfig;
                            resizableWidget(element);
                        }
                    );
                });


        }
    };

}]);

dashboardApp.directive('alertWidget', ['widgetHelper', function (widgetHelper) {
    return {
        templateUrl: MP_SITE_URL + '/dashboard/partials/alert_widget',
        restrict: 'A',
        name: 'ctrl',
        scope: {
            widget: '=',
            currentUser: "=",
            currentDash: "=",
            saveOldName: '&',
            editName: '&',
            deleteWidget: '&',
            getPriorityNumbers: "&"
        },
        link: function (scope, element) {

            scope.$watch(function () {
                return element.attr('refresh');
            }, function () {
                scope.widgetsLoaded = false;
                widgetHelper.getAlertStatsBySeverity(scope.widget.alerts).then(
                    function (result) {
                        scope.widget.severityStat = result;
                        scope.widgetsLoaded = true;
                    });
            });


        }
    };

}]);